Home | All Classes | Grouped Classes | Index | Search

# CL_LineMath::normal

Return the normal vector of the line from point A to point B.

    	CL_Pointf normal(
    		const CL_Pointf& A, const CL_Pointf& B);

    	CL_Pointf normal(
    		float x1, float y1, float x2, float y2);

    	CL_Pointf normal(
    		float* line);

Parameters:

CL_Pointf A
  point A
CL_Pointf B
  point B
float *line
  pointer to line vertices {x1, y1, x2, y2}

See also:

CL_LineMath | CL_Point | CL_Pointf

Questions or comments, write to the ClanLib mailing list.